### Method

# Clutter Stage set_key_focus

#### Declaration [src]

    void
    clutter_stage_set_key_focus (
      ClutterStage* stage,
      ClutterActor* actor
    )

#### Description [src]

Sets the key focus on `actor`. An actor with key focus will receive all the key events. If `actor` is `NULL`, the stage will receive focus.

Sets property | `Clutter.Stage:key-focus`

#### Parameters

`actor`

  Type: `ClutterActor`

  The actor to set key focus to, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.